Subject: Re: linux-next: Tree for Sept 12 (kernel-panic after pressing any key at X login)

From: "Henrik Rydberg" <[email-masked]>
Date: Thu, 13 Sep 2012 09:04:10 +0200

> > >> > this weeks linux-next seems to bring new and new issues, yay :-)!
> > >> >
> > >> > I have taken a photo, but can't say what can have caused.
> > >> > The issue is reproducible...
> > >> > Immediately, after pressing any key (when X-display-manager (lightdm)
> > >> > and X-greeter are up) my machine panics and is no more usable (cold
> > >> > rough brutal killer restart).
> > >> > Note: Using upstart or systemd does not matter.
> > >> >
> > >> > Any pointer to an area where to dig into or any feedback in general is welcome!
> > >> >
> > >> > Kind Regards,
> > >> > - Sedat -
> > 
> > Hey, cool. Thanks for the pointer in the source-code and the call-trace!
> > I had reverted [1], but anyway input folks should look at this.
> > 
> > Kind Regards,
> > - Sedat -
> > 
> > [1] http://git.kernel.org/?p=linux/kernel/git/next/linux-next.git;a=commitdiff;h=b276fc1e875a51e4a9dc3322ed008bf4ae481baf
> 
> Henrik,
> 
> It looks like your changes are causing the panic.

Indeed, I have pushed the fix below to next already. Thanks for Sedat,
and sorry for not catching this earlier. :-(

Henrik

--

>>From ccc6557bfd02efdca4d9dfda6cfdfe5a08d0193b Mon Sep 17 00:00:00 2001
From: Henrik Rydberg <[email-masked]>
Date: Thu, 13 Sep 2012 08:59:40 +0200
Subject: [PATCH] Input: Fix oops caused by missing null test

Found in linux-next on September 12, thanks Sedat.

Reported-by: Sedat Dilek <[email-masked]>
Signed-off-by: Henrik Rydberg <[email-masked]>
---
 drivers/input/input.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/input/input.c b/drivers/input/input.c
index 5b66b2f..2dff71b 100644
--- a/drivers/input/input.c
+++ b/drivers/input/input.c
@@ -114,7 +114,7 @@ static unsigned int input_to_handler(struct input_handle *handle,
 
 	if (handler->events)
 		handler->events(handle, vals, count);
-	else
+	else if (handler->event)
 		for (v = vals; v != end; v++)
 			handler->event(handle, v->type, v->code, v->value);
 
-- 
1.7.12